Bug 268133 - IDE ignores environment variables if toolchain is not updated
IDE ignores environment variables if toolchain is not updated
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
Dev
PC Solaris
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-21 11:17 UTC by soldatov
Modified: 2016-12-08 12:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-09-21 11:17:43 UTC
Scenario:
- Start IDE
- Wait 10 seconds
- Push "New Project..." button on tool bar
- Select "C/C++ Project with Existing Sources" item
- Press Next
==> "Validate Tool Collection" progress bar appears
- Wait 10 seconds
- Type $HOME in "Specify the folder that contains existing sources" text field
==> '"${HOME}" is not absolute path' message appears

Workaround: reopen "New Project" wizard
Comment 1 Alexander Simon 2016-11-15 10:47:13 UTC
fixed in enum, branch release82, change set d82a55a8838e
Comment 2 Quality Engineering 2016-11-23 03:19:29 UTC
Integrated into 'main-silver', will be available in build *201611230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ff1bfa053ea8
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #268133 IDE ignores environment variables if toolchain is not updated
(transplanted from d82a55a8838e0b23eca87887ddfd3791ab33591c)
Comment 3 soldatov 2016-12-08 12:51:55 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo